API referencePacks
Create a pack, or turn packs on ("My Pack" with the server's expressions).
POST
/api/v1/servers/{guild}/packsAuthorization
session invarn_session<token>
In: cookie
Path Parameters
guild*string
A Discord ID (or one of Invarn's, which look the same).
Match
^[0-9]+$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/v1/servers/string/packs" \ -H "Content-Type: application/json" \ -d '{}'{ "enabled": true, "packs": [ { "pack": "string", "name": "string", "position": 0, "contributes": true, "items": 0 } ], "available": [ { "id": "string", "name": "string", "createdAt": "2019-08-24T14:15:22Z" } ], "loose": [ { "id": "string", "kind": "emoji", "name": "string", "animated": true, "url": "string" } ], "slots": [ { "kind": "emoji", "used": 0, "limit": 0 } ]}